<?php
	
	// En-tête
	$title = "Développer un système d'authentification en PHP";
	$css = "css/connexion.css";
	include("../header.php");
	 
?>

<h2>Sujet</h2>

<h3>Introduction</h3>

<div class="phrase">
	De nombreuses applications web professionnelles nécessitent la mise 
	en place d'un système d'authentification qui se matérialise entre 
	autres par la présence d'un formulaire d'authentification. Mais pas 
	seulement...
	<br/><br/>
	Au-delà de la connexion, certaines pages web sont sécurisées, 
	c'est-à-dire en outre que n'importe qui ne doit pas y avoir accès. 
	Par conséquent, lorsqu'on accède à une page web, pour la sécuriser, 
	il faut <i>a minima</i> pouvoir savoir si l'utilisateur est ou n'est 
	pas authentifié.
	<br/><br/>
	En pratique, on va plus loin que cela. On crée des profils d'utilisateurs. 
	Selon le profil, l'on n'a pas les mêmes droits, et ainsi l'on n'a pas accès 
	aux mêmes pages web. Autrement, si l'utilisateur n'a pas le bon profil, on 
	lui empêche d'accéder à la page.
</div>

<h3>Cahier des charges</h3>

<div class="phrase">
	Votre object est ici de :
	<br/>
	- compléter et traiter un formulaire de connexion afin d'authentifier 
	un utilisateur parmi ceux disponibles en base de données ;
	<br/>
	- créer une fonction qui permettra de tester si oui ou non un utilisateur 
	est ou n'est pas authentifié.
	<br/><br/>
	Dans ce qui suit, l'utilisateur s'authentifie au moyen de son adresse 
	email et de son mot de passe.
	<br/><br/>
	Pour des raisons évidentes de sécurité et de confidentialité, c'est-à-dire 
	de respect des données privées en l'occurence, on souhaite que le mot de 
	passe des utilisateurs ne soit pas stocké en base de données. Il doivent 
	être cryptés. En effet, un mot de passe est une information personnelle 
	et confidentielle. Il n'y a pas de raison que l'on puisse connaître le 
	mot de passe de quelqu'un d'autre.
	<br/><br/>
	Pour simplifier le problème et pour mieux se l'approprier, vous réalisez 
	successivement plusieurs versions jusqu'à aboutir à une solution  
	satisfaisante.
</div>

<h2>Travail à faire</h2>

<?php
	
	// On inclut les trois versions de système authentification 
	// à concevoir successivement. Soit on inclut les sujets, 
	// soit on inclut les corrigés.

	if(demande_correction()){
		
		// On inclut les corrigés
		afficher_correction(
			array(
				"connexion/v1.php",
				"connexion/v2.php",
				"connexion/v3.php"
			)
		);
		
	}else{
		
		// On inclut les sujets
		include("connexion/v1.php");
		include("connexion/v2.php");
		include("connexion/v3.php");
		
	}
	
?>

<?php
	
	// Pied de page
	include("../footer.php");
	
?>
