<h3>Version 1</h3>

<div class="phrase">
	<i>Fichier à compléter : <b>php/exercices/connexion/v1.php</b></i>
	<br/><br/>
	Nous supposons que la connexion a réussi si l'utilisateur a saisi 
	l'adresse email "matrix@gmail.com" et le mot de passe "neo". Il n'y 
	a donc pour le moment qu'un seul utilisateur.
	<br/><br/>
	Si l'utilisateur saisit les mauvais identifiants, on lui affiche le 
	message d'erreur "Identifiant et/ou mot de passe incorrect". 
	Au contraire, s'il a saisi les bons identifiants, on l'authentifie.
	<br/><br/>
	Par "authentifier l'utilisateur", on entend qu'il faille garder en 
	mémoire, c'est-à-dire en session, le fait que l'utilisateur est 
	authentifié. Pour ce faire, on stocke le paramètre de SESSION 
	"utilisateur" dans lequel on place l'adresse email de l'utilisateur 
	autentifié.
	<br/><br/>
	Par ailleurs, on affiche le formulaire de connexion seulement si 
	l'utilisateur est authentifié. Dans le cas contraire, on affiche 
	le message "Vous êtes connecté en tant que [adresse email]". On 
	affiche également un lien "Se déconnecter".
	<br/><br/>
	Finalement, pour traiter la déconnexion, on se contente d'envoyer 
	un paramètre GET "deconnecter". Si on reçoit ce paramètre, on 
	déconnecte l'utilisateur, c'est-à-dire qu'on supprime son 
	paramètre de SESSION "utilisateur".
	<br/><br/>
	Pour réaliser cette 1<sup>ère</sup> mouture, on étudiera bien les 
	exemples d'utilisation des paramètres GET, POST et SESSION suivants :
	<br/><br/>
	<a class="lien" href="php/exemples/parametres.php" target="_blank">
		Les paramètres GET, POST et SESSION en PHP
	</a>
	<br/><br/>
	Compléter la trame de code PHP fournie afin d'obtenir le résultat 
	escompté.
</div>

<div class="resultat">
	
	<?php
			
		/** 
		 * Procédure permettant de tenter d'authentifier un utilisateur 
		 * à partir de son adresse email et de son mot de passe.  
		 * L'authentification réussit si et seulement si le couple 
		 * email + mot de passe est correct. S'il est correct, on se 
		 * contente de placer son email dans le paramètre de session 
		 * "utilisateur".
		 **/
		function connecter_v1($email, $mdp){
			// [à compléter]
		}
		
		/**
		 * Fonction testant si oui ou non l'utilisateur est authentifié.
		 * L'utilisateur n'est authentifié que si la variable de session 
		 * "utilisateur" existe.
		 **/
		function est_connecte_v1(){
			// [à compléter]
			return false;
		}
		
		/**
		 * Procédure permettant de déconnecter un utilisateur, c'est-à-dire 
		 * de supprimer son paramètre de session "utilisateur".
		 **/
		function deconnecter_v1(){
			// [à compléter]
		}
				
		// Si l'utilisateur à transmis le paramètre GET "deconnecter", 
		// on le déconnecte.
		if(isset($_GET["deconnecter"])){
			
			// [à compléter]
			
		}
		
		// Si l'utilisateur est connecté, on affiche 
		// un message et un lien de déconnexion.
		if(est_connecte_v1()){
			
			// echo [à compléter];
		
	?>
	
	<a href="php/exercices/connexion.php?deconnecter">Se déconnecter</a>
			
	<?php
			
		// Au contraire, si l'utilisateur n'est pas connecté, on 
		// affiche le formulaire de connexion.
		}else{
					
			// Si l'utilisateur a transmis le formulaire de connexion, 
			// on tente de le connecter.
			if(isset($_POST["email"], $_POST["mdp"])){
				
				// On tente d'authentifier l'utilisateur
				
				// [à compléter]
				
			}
			
	?>
	
	<form method="POST" action="php/exercices/connexion.php">
		<label>
			Adresse email : <input name="email" type="text" />
		</label>
		<label>
			Mot de passe : <input name="mdp" type="password" />
		</label>
		<button>Se connecter</button>
	</form>
	<?php
		
			// Si l'utilisateur vient de transmettre le formulaire de connexion.
			if(isset($_POST["email"], $_POST["mdp"])){
				
				echo "<br/>";
				
				// Deux possibilités :
				// - si l'utilisateur est à présent authentifié, c'est que 
				// l'authentification a réussi.
				// - sinon, c'est que la connexion a échoué.
				
				// [à compléter]
				
			}
		}
		
	?>
	
</div>